🔗 REST APIQuotes

Current data

Get current quotes for all symbols or for a specific symbol.

When requesting current data for a specific symbol, output is not encapsulated into JSON array as only one item is returned.

GET
/v1/quotes/current
Authorization<token>

API Key is required to access the endpoints

In: header

Query Parameters

filter_symbol_id?string

Comma or semicolon delimited parts of symbol identifier used to filter response. (optional)

filter_exchange_id?string

Comma or semicolon delimited exchange identifiers used to filter response. (optional)

Response Body

curl -X GET "https://rest.coinapi.io/v1/quotes/current"
[
  {
    "symbol_id": "BITSTAMP_SPOT_BTC_USD",
    "time_exchange": "2013-09-28T22:40:50.0000000Z",
    "time_coinapi": "2017-03-18T22:42:21.3763342Z",
    "ask_price": 770,
    "ask_size": 3252,
    "bid_price": 760,
    "bid_size": 124,
    "last_trade": {
      "time_exchange": "2017-03-18T22:42:21.3763342Z",
      "time_coinapi": "2017-03-18T22:42:21.3763342Z",
      "uuid": "1ea8adc5-6459-47ca-adbf-0c3f8c729bb2",
      "price": 770,
      "size": 0.05,
      "taker_side": "SELL"
    }
  },
  {
    "symbol_id": "BITSTAMP_SPOT_BTC_USD",
    "time_exchange": "2013-09-28T22:40:50.0000000Z",
    "time_coinapi": "2017-03-18T22:42:21.3763342Z",
    "ask_price": 770,
    "ask_size": 3252,
    "bid_price": 760,
    "bid_size": 124,
    "last_trade": {
      "time_exchange": "2017-03-18T22:42:21.3763342Z",
      "time_coinapi": "2017-03-18T22:42:21.3763342Z",
      "uuid": "1ea8adc5-6459-47ca-adbf-0c3f8c729bb2",
      "price": 770,
      "size": 0.05,
      "taker_side": "SELL"
    }
  }
]
Service StatusGitHub SDK